searchData={"items":[{"type":"module","title":"rebar3_lint","doc":null,"ref":"rebar3_lint.html"},{"type":"function","title":"rebar3_lint.init/1","doc":null,"ref":"rebar3_lint.html#init/1"},{"type":"module","title":"rebar3_lint_prv","doc":null,"ref":"rebar3_lint_prv.html"},{"type":"function","title":"rebar3_lint_prv.default_config/0","doc":null,"ref":"rebar3_lint_prv.html#default_config/0"},{"type":"function","title":"rebar3_lint_prv.do/1","doc":null,"ref":"rebar3_lint_prv.html#do/1"},{"type":"function","title":"rebar3_lint_prv.init/1","doc":null,"ref":"rebar3_lint_prv.html#init/1"},{"type":"extras","title":"rebar3_lint","doc":"rebar3_lint\n===\n\n![build](https://github.com/project-fifo/rebar3_lint/workflows/build/badge.svg)\n\n`rebar3_lint` is a `rebar3` plugin to ease the integration of\n[elvis](https://github.com/inaka/elvis_core) into your project.\n\nUse\n---\n\nAdd the plugin to your `rebar.config`:\n\n```erlang\n{project_plugins, [\n    rebar3_lint\n]}.\n```\n\nThen call it:\n\n```bash\n$ rebar3 lint\n===> Fetching rebar3_lint\n===> Compiling rebar3_lint\n \n```\n\nConfiguration\n---\n\nThe plugin supports configuration option `elvis_output_format` in `rebar.config`:\n\n```erlang\n{elvis_output_format, plain | colors | parsable}. % default: colors\n```\n\nIt also supports option `elvis` (in `rebar.config`) as you'd find `elvis`'s own\n`config` (inside option `elvis`).\n\nIf no `elvis` configuration is present in `rebar.config`, the\nplug-in will look for an `elvis.config` file in the project root folder\n(but only the `config` section will be applied - this is an `elvis` idiosyncrasy).\n\nThe output format may then be configured separately in `rebar.config`, as previously\nexplained.\n\nThis is the default configuration if no input is provided:\n\n```erlang\n[#{ dirs => [\"apps/*/src/**\", \"src/**\"],\n    filter => \"*.erl\",\n    ruleset => erl_files },\n #{ dirs => [\".\"],\n    filter => \"rebar.config\",\n    ruleset => rebar_config },\n #{ dirs => [\".\"],\n    filter => \"elvis.config\",\n    ruleset => elvis_config }]\n```","ref":"readme.html"},{"type":"extras","title":"LICENSE","doc":"Copyright (c) 2015, Heinz N. Gies  .\nAll rights reserved.\n\nRedistribution and use in source and binary forms, with or without\nmodification, are permitted provided that the following conditions are\nmet:\n\n* Redistributions of source code must retain the above copyright\n  notice, this list of conditions and the following disclaimer.\n\n* Redistributions in binary form must reproduce the above copyright\n  notice, this list of conditions and the following disclaimer in the\n  documentation and/or other materials provided with the distribution.\n\n* The names of its contributors may not be used to endorse or promote\n  products derived from this software without specific prior written\n  permission.\n\nTHIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS\n\"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT\nLIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR\nA PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT\nOWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,\nSPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT\nLIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,\nDATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY\nTHEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT\n(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE\nOF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.","ref":"license.html"}],"content_type":"text/plain","producer":{"name":"ex_doc","version":[48,46,51,50,46,50]}}